Summary: A GNU tool for automatically configuring source code.
Name: autoconf
Version: 2.57
Release: 3tr
License: GPL
Group: Programming/Portability
Source: ftp://ftp.gnu.org/pub/gnu/autoconf/autoconf-%{version}.tar.bz2
Requires: gawk, m4, mktemp, perl
BuildRequires: texinfo
Prereq: htmlinfo
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your 
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script; 
Autoconf is only required for the generation of the scripts, not
their use.


%prep
%setup -q


%build
%configure
make
cd doc
makeinfo --html --no-split autoconf.texi


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/html/autoconf
%makeinstall

install -m644 doc/autoconf.html $RPM_BUILD_ROOT/usr/share/html/autoconf/

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/usr/bin/autoconf
/usr/bin/autoheader
/usr/bin/autom4te
/usr/bin/autoreconf
/usr/bin/autoscan
/usr/bin/autoupdate
/usr/bin/ifnames
/usr/share/autoconf
%{_mandir}/man1/*
/usr/share/html/autoconf


%changelog
* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.57-3tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.57-2tr
- Big rebuild

* Thu May 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.57-1em
- New upstream.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.53-4em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 2.53-3ct
- Replaced ugly info2man-hack with cute htmlinfo setup

* Tue Sep  3 2002 Goetz Bock <bock at trustix dot org> 2.53-2bg
- removed info stuff

* Thu Jul 18 2002 Nico Erfurth <masta at trustix dot org> 2.53-1ne
- Updated to 2.53
- Patches removed, the new package includes them
- Includes automa4te

* Thu May 30 2002 Christian H. Toldnes <christht at trustix dot com>
- Rebuild with -1ct tag.

* Fri Feb 01 2002 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.

* Thu Jun 14 2001 Oystein Viggen <oysteivi at trustix dot com>
- Use %makeinstall macro to make sure exec_prefix and datadir are set

* Tue Apr 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- mkdir a little bit here and there.

* Mon Jan 29 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Fixed preun to only delete info files if not upgrading.

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved info file to /usr/share, FHS.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add patch to help autoconf clean after itself and not leave /tmp clobbered
  with acin.* and acout.* files (can you say annoying?)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- use gawk, not mawk

* Thu Mar 18 1999 Preston Brown <pbrown@redhat.com>
- moved /usr/lib/autoconf to /usr/share/autoconf (with automake)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.13.

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires perl

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- patch for fixing /tmp race conditions

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- made a noarch package
- uses autoconf
- uses install-info

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built with glibc

